STRRTRIM(3pub)

NAME
strrtrim - remove trailing whitespace

SYNOPSIS
#include <publib.h>
char *strrtrim(char *s);

DESCRIPTION
strrtrim removes all trailing whitespace characters from the end of a string. As whitespace is counted everything for which isspace(3) returns true.

RETURN VALUE
strltrim returns its argument.

EXAMPLE
To remove whitespace from the end of all lines, you might do the following:

#include <publib.h>

int main(void) {
	char line[512];

	while (fgets(line, sizeof(line), stdio) != NULL) {
		strrtrim(line);
		printf("%s", line);
	}
	return 0;
}

SEE ALSO
publib(3), strtrim(3), strltrim(3), isspace(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)